# Namespace: coordinate

## ol.coordinate

### Methods

#### staticol.coordinate.add(coordinate, delta){ol.Coordinate} experimental

src/ol/coordinate.js, line 44

  Add `delta` to `coordinate`. `coordinate` is modified in place and returned by the function.

  Name | Type | Description
  --- | --- | ---
  `coordinate` | ol.Coordinate | Coordinate.
  `delta` | ol.Coordinate | Delta.

  ##### Returns:

  Coordinate.

#### staticol.coordinate.createStringXY(opt_fractionDigits){ol.CoordinateFormatType} experimental

src/ol/coordinate.js, line 96

  Name | Type | Description
  --- | --- | ---
  `fractionDigits` | number | optional The number of digits to include after the decimal point. Default is `0`.

  ##### Returns:

  Coordinate format.

#### staticol.coordinate.format(coordinate, template, opt_fractionDigits){string} experimental

src/ol/coordinate.js, line 133

  Name | Type | Description
  --- | --- | ---
  `coordinate` | ol.Coordinate | undefined | optional Coordinate.
  `template` | string | A template string with `{x}` and `{y}` placeholders that will be replaced by first and second coordinate values.
  `fractionDigits` | number | optional The number of digits to include after the decimal point. Default is `0`.

  ##### Returns:

  Formated coordinate.

#### staticol.coordinate.fromProjectedArray(array, axis){ol.Coordinate} experimental

src/ol/coordinate.js, line 270

  Create an ol.Coordinate from an Array and take into account axis order.

  Name | Type | Description
  --- | --- | ---
  `array` | Array | The array with coordinates.
  `axis` | string | the axis info.

  ##### Returns:

  The coordinate created.

#### staticol.coordinate.rotate(coordinate, angle){ol.Coordinate} experimental

src/ol/coordinate.js, line 170

  Rotate `coordinate` by `angle`. `coordinate` is modified in place and returned by the function.

  Name | Type | Description
  --- | --- | ---
  `coordinate` | ol.Coordinate | Coordinate.
  `angle` | number | Angle in radian.

  ##### Returns:

  Coordinate.

#### staticol.coordinate.toStringHDMS(coordinate){string} experimental

src/ol/coordinate.js, line 241

  Name | Type | Description
  --- | --- | ---
  `coordinate` | ol.Coordinate | undefined | optional Coordinate.

  ##### Returns:

  Hemisphere, degrees, minutes and seconds.

#### staticol.coordinate.toStringXY(coordinate, opt_fractionDigits){string} experimental

src/ol/coordinate.js, line 258

  Name | Type | Description
  --- | --- | ---
  `coordinate` | ol.Coordinate | undefined | optional Coordinate.
  `fractionDigits` | number | optional The number of digits to include after the decimal point. Default is `0`.

  ##### Returns:

  XY.